<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'add-scm-repository-dialog'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="m-b-5">
      <span
        nz-checkbox
        class="p-l-4"
        [formGroup]="formGroup"
        formControlName="cloneRepository"
        ngDefaultControl
        [attr.data-test-field-name]="'cloneRepository'"
        (nzCheckedChange)="updateDisabledFields()"
      >
        <label class="m-l-5 label-color">
          {{
            'sqtm-core.entity.scm-server.repositories.clone-repository'
              | translate
          }}
        </label>
      </span>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.entity.scm-server.repositories.tooltips.clone-repository'
            | translate
        "
      ></i>
    </div>

    <div class="sqtm-core-dialog-form p-4 m-b-10">
      <div class="labelWithIconTooltip">
        <label class="label label__align_right">{{
          'sqtm-core.entity.scm-server.repositories.repository-name' | translate
        }}</label>
        <i
          nz-icon
          nzType="sqtm-core-generic:help"
          nzTheme="fill"
          class="m-l-10 font-20-px current-workspace-main-color"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.entity.scm-server.repositories.tooltips.repository-name'
              | translate
          "
        ></i>
      </div>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'repositoryName'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>

      <div class="labelWithIconTooltip">
        <label class="label label__align_right">{{
          'sqtm-core.entity.scm-server.repositories.working-branch' | translate
        }}</label>
        <i
          nz-icon
          nzType="sqtm-core-generic:help"
          nzTheme="fill"
          class="m-l-10 font-20-px current-workspace-main-color"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.entity.scm-server.repositories.tooltips.repository-branch'
              | translate
          "
        ></i>
      </div>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'branch'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>

      @if (cloneRepositoryIsChecked()) {
        <div class="labelWithIconTooltip">
          <label class="label label__align_right">{{
            'sqtm-core.entity.scm-server.repositories.working-directory-path'
              | translate
          }}</label>
          <i
            nz-icon
            nzType="sqtm-core-generic:help"
            nzTheme="fill"
            class="m-l-10 font-20-px current-workspace-main-color"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.entity.scm-server.repositories.tooltips.repository-working-folder-path'
                | translate
            "
          ></i>
        </div>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'workingFolderPath'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        ></sqtm-core-text-field>
      }
    </div>
  </div>
</sqtm-core-creation-dialog>
